| Home | Libraries | People | FAQ | More

## Struct template has_nothrow_move

boost::has_nothrow_move

## Synopsis

    // In header: <boost/move/traits.hpp>

    template<typename T>
    struct has_nothrow_move {

      // public data members
      static const bool value;
    };

## Description

By default this traits returns <preformatted>boost::is_nothrow_move_constructible<T>::value && boost::is_nothrow_move_assignable<T>::value </preformatted>. Classes with non-throwing move constructor and assignment can specialize this trait to obtain some performance improvements.